List information requests linked to a control within an audit
Returns a paginated list of active information requests linked to a specific
control within an IRL audit. An information request is linked to a control
either via its framework codes (criteriaIds) or via a direct association
(additionalControlIds).
Soft-deleted information requests are not included in the response. To
synchronize deletions, use GET /audits/{auditId}/information-requests,
which supports changedSinceDate and includes soft-deleted records.
Returns 404 when the control is not part of the audit. Returns an empty page when the control is part of the audit but has no active IRLs linked to it.
Pagination usage:
- Make initial request with desired
pageSize - Check
results.pageInfo.hasNextPageto see if more data exists - If true, use
results.pageInfo.endCursoraspageCursorin next request - Repeat until
hasNextPageis false
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Maximum number of information requests to return per page. Controls the maximum number of items returned in one response from the API.
1 <= x <= 100Pagination cursor from a previous response. Provide to fetch the next page of results. A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.
Response
Ok